package com.qiaoba.common.base.code;

import lombok.Getter;

/**
 * 字典错误code
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/12 13:34
 */
@Getter
public enum DictErrorCode {

    /**
     * 类型已存在
     */
    TYPE_EXIST(5030, "类型[{}]已存在, 不允许新增或修改！"),

    /**
     * 存在数据
     */
    HAS_DATA(5031, "字典[{}]已绑定数据, 请解绑后删除！");

    private final Integer code;
    private final String msg;

    DictErrorCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
